Subject: Re: Time to get rid of CPU6 ERRATA on powerpc/8xx ?

From: Segher Boessenkool <[email-masked]>
Date: Sun, 7 Jan 2018 12:21:42 -0600

On Sun, Jan 07, 2018 at 06:51:26PM +0100, christophe leroy wrote:
> Le 07/01/2018 à 17:43, Segher Boessenkool a écrit :
> >On Sun, Jan 07, 2018 at 05:23:13PM +0100, christophe leroy wrote:
> >>Today, Linux kernel includes a workaround for CPU6 ERRATA on the 8xx
> >>powerpc.
> >>
> >>This ERRATA exists on the 801, the 823, the 855/860 before revision C.0
> >>It doesn't concern any modern versions of the 8xx, neither the 860 past
> >>and including rev C.0, nor the 866 nor the 885
> >>
> >>This workaround complicates the TLBmiss and TLBerror handlers and make
> >>the code more and more unreadable.
> >>
> >>Since this workaround addresses very old versions of the 8xx, I'd like
> >>to get rid of it. Do you see any good reason to keep it today ? If not I
> >>will come with a cleanup patch in the coming weeks.
> >
> >What is "very old"?  It'll help if you give some indication.
> 
> CPU6 bug is already announced fixed in rev C.0 in revision 1.4 of the 
> ERRATA document, issued in August 2000.

And that is the newest chip that had the bug?  Wow, very old indeed then.

> >Removing the workarounds is fine by me, of course...  Maybe make it fail
> >to boot though, with an error message?  Someone *will* try to run it on
> >an old system, *especially* if you think no one would.
> 
> Ok, will see how we can do that. It means identifying each revision of 
> the chip.

If it is *that* old you may not have to bother...  Up to the maintainers
of course.

Segher